# Kinetis Bootloader Host: elftosb::SectionASTNode Class Reference

elftosb::SectionASTNode Class Reference

AST node for a section glob. More...

`#include <ElftosbAST.h>`

Inheritance diagram for elftosb::SectionASTNode:
[legend]
Collaboration diagram for elftosb::SectionASTNode:
[legend]

## Public Types

enum | match_action_t { kInclude, kExclude }
| Possible actions for a section match list. More...

## Public Member Functions

| SectionASTNode (std::string *name)
| SectionASTNode (std::string *name, match_action_t action)
| SectionASTNode (std::string *name, std::string *source)
| SectionASTNode (const SectionASTNode &other)
virtual ASTNode * | clone () const
| Returns an exact duplicate of this object.
virtual std::string | nodeName () const
| Returns the name of the object's class.
virtual void | printTree (int indent) const
match_action_t | getAction ()
std::string * | getSectionName ()
std::string * | getSourceName ()
Public Member Functions inherited from elftosb::ASTNode
| ASTNode ()
| Default constructor.
| ASTNode (ASTNode *parent)
| Constructor taking a parent node.
| ASTNode (const ASTNode &other)
| Copy constructor.
virtual | ~ASTNode ()
| Destructor.
virtual ASTNode * | getParent () const
virtual void | setParent (ASTNode *newParent)
virtual void | printTree () const
virtual void | setLocation (token_loc_t &loc)
virtual void | setLocation (token_loc_t &first, token_loc_t &last)
virtual void | setLocation (ASTNode *loc)
virtual void | setLocation (ASTNode *first, ASTNode *last)
virtual token_loc_t & | getLocation ()
virtual const token_loc_t & | getLocation () const
virtual int | getFirstLine ()
virtual int | getLastLine ()

## Protected Attributes

match_action_t | m_action
smart_ptr< std::string > | m_name
smart_ptr< std::string > | m_source
Protected Attributes inherited from elftosb::ASTNode
ASTNode * | m_parent
| Pointer to parent node of this object. May be NULL.
token_loc_t | m_location
| Location of this node in the source file.

## Additional Inherited Members

Protected Member Functions inherited from elftosb::ASTNode
void | printIndent (int indent) const
| Prints indent number of spaces.

## Detailed Description

AST node for a section glob.

Can be assigned an include or exclude action for when this node is part of a SectionMatchListASTNode.

## Member Enumeration Documentation

enum elftosb::SectionASTNode::match_action_t

Possible actions for a section match list.

Enumerator
kInclude | Include sections matched by this node.
kExclude | Exclude sections matched by this node.

The documentation for this class was generated from the following files:

- ElftosbAST.h
- ElftosbAST.cpp